PrintStream (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.io
Class PrintStream

    java.lang.Object
      java.io.OutputStream
          java.io.PrintStream

    @TransactionType(value=NOT_SUPPORTED)
    public class PrintStream

extends OutputStream

A `PrintStream` adds functionality to another output stream, namely the ability to print representations of various data values conveniently. Two other features are provided as well. Unlike other output streams, a `PrintStream` never throws an `IOException`; instead, exceptional situations merely set an internal flag that can be tested via the `checkError` method.

All characters printed by a `PrintStream` are converted into bytes using the platform's default character encoding.

Since:
  JDK1.0, CLDC 1.0, Java Card 3.0

Constructor Summary
`PrintStream(OutputStream out)` Create a new print stream.

Method Summary
`boolean` | `checkError()` Flush the stream and check its error state.
`void` | `close()` Close the stream.
`void` | `flush()` Flush the stream.
`void` | `print(boolean b)` Print a boolean value.
`void` | `print(char c)` Print a character.
`void` | `print(char[] s)` Print an array of characters.
`void` | `print(int i)` Print an integer.
`void` | `print(long l)` Print a long integer.
`void` | `print(Object obj)` Print an object.
`void` | `print(String s)` Print a string.
`void` | `println()` Terminate the current line by writing the line separator string.
`void` | `println(boolean x)` Print a boolean and then terminate the line.
`void` | `println(char x)` Print a character and then terminate the line.
`void` | `println(char[] x)` Print an array of characters and then terminate the line.
`void` | `println(int x)` Print an integer and then terminate the line.
`void` | `println(long x)` Print a long and then terminate the line.
`void` | `println(Object x)` Print an Object and then terminate the line.
`void` | `println(String x)` Print a String and then terminate the line.
`protected void` | `setError()` Set the error state of the stream to `true`.
`void` | `write(byte[] buf, int off, int len)` Write `len` bytes from the specified byte array starting at offset `off` to this stream.
`void` | `write(int b)` Write the specified byte to this stream.

Methods inherited from class java.io.OutputStream
`write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrintStream

    public PrintStream(OutputStream out)

  Create a new print stream. This stream will not flush automatically.

  Parameters:
    `out` - The output stream to which values and objects will be printed

Method Detail

### flush

    public void flush()

  Flush the stream. This is done by writing any buffered output bytes to the underlying output stream and then flushing that stream.

  Overrides:
    `flush` in class `OutputStream`
  See Also:
    `OutputStream.flush()`

### close

    public void close()

  Close the stream. This is done by flushing the stream and then closing the underlying output stream.

  Overrides:
    `close` in class `OutputStream`
  See Also:
    `OutputStream.close()`

### checkError

    public boolean checkError()

  Flush the stream and check its error state. The internal error state is set to `true` when the underlying output stream throws an `IOException`, and when the `setError` method is invoked.

  Returns:
    True if and only if this stream has encountered an `IOException`, or the `setError` method has been invoked

### setError

    protected void setError()

  Set the error state of the stream to `true`.

  Since:
    JDK1.1

### write

    public void write(int b)

  Write the specified byte to this stream.

  Note that the byte is written as given; to write a character that will be translated according to the platform's default character encoding, use the `print(char)` or `println(char)` methods.

  Specified by:
    `write` in class `OutputStream`
  Parameters:
    `b` - The byte to be written
  See Also:
    `print(char)`, `println(char)`

### write

    public void write(byte[] buf,
                      int off,
                      int len)

  Write `len` bytes from the specified byte array starting at offset `off` to this stream.

  Note that the bytes will be written as given; to write characters that will be translated according to the platform's default character encoding, use the `print(char)` or `println(char)` methods.

  Overrides:
    `write` in class `OutputStream`
  Parameters:
    `buf` - A byte array
    `off` - Offset from which to start taking bytes
    `len` - Number of bytes to write

### print

    public void print(boolean b)

  Print a boolean value. The string produced by ``String.valueOf(boolean)`` is translated into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``write(int)`` method.

  Parameters:
    `b` - The `boolean` to be printed

### print

    public void print(char c)

  Print a character. The character is translated into one or more bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``write(int)`` method.

  Parameters:
    `c` - The `char` to be printed

### print

    public void print(int i)

  Print an integer. The string produced by ``String.valueOf(int)`` is translated into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``write(int)`` method.

  Parameters:
    `i` - The `int` to be printed
  See Also:
    `Integer.toString(int)`

### print

    public void print(long l)

  Print a long integer. The string produced by ``String.valueOf(long)`` is translated into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``write(int)`` method.

  Parameters:
    `l` - The `long` to be printed
  See Also:
    `Long.toString(long)`

### print

    public void print(char[] s)

  Print an array of characters. The characters are converted into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``write(int)`` method.

  Parameters:
    `s` - The array of chars to be printed
  Throws:
    `NullPointerException` - If `s` is `null`

### print

    public void print(String s)

  Print a string. If the argument is `null` then the string `"null"` is printed. Otherwise, the string's characters are converted into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``write(int)`` method.

  Parameters:
    `s` - The `String` to be printed

### print

    public void print(Object obj)

  Print an object. The string produced by the ``String.valueOf(Object)`` method is translated into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the ``write(int)`` method.

  Parameters:
    `obj` - The `Object` to be printed
  See Also:
    `Object.toString()`

### println

    public void println()

  Terminate the current line by writing the line separator string. The line separator string is defined by the system property `line.separator`, and is not necessarily a single newline character (`'\n'`).

### println

    public void println(boolean x)

  Print a boolean and then terminate the line. This method behaves as though it invokes ``print(boolean)`` and then ``println()``.

  Parameters:
    `x` - The `boolean` to be printed

### println

    public void println(char x)

  Print a character and then terminate the line. This method behaves as though it invokes ``print(char)`` and then ``println()``.

  Parameters:
    `x` - The `char` to be printed.

### println

    public void println(int x)

  Print an integer and then terminate the line. This method behaves as though it invokes ``print(int)`` and then ``println()``.

  Parameters:
    `x` - The `int` to be printed.

### println

    public void println(long x)

  Print a long and then terminate the line. This method behaves as though it invokes ``print(long)`` and then ``println()``.

  Parameters:
    `x` - The `long` to be printed.

### println

    public void println(char[] x)

  Print an array of characters and then terminate the line. This method behaves as though it invokes ``print(char[])`` and then ``println()``.

  Parameters:
    `x` - an array of chars to print.

### println

    public void println(String x)

  Print a String and then terminate the line. This method behaves as though it invokes ``print(String)`` and then ``println()``.

  Parameters:
    `x` - The `String` to be printed.

### println

    public void println(Object x)

  Print an Object and then terminate the line. This method behaves as though it invokes ``print(Object)`` and then ``println()``.

  Parameters:
    `x` - The `Object` to be printed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.